(function(global){

  window.initFacebookSDK = function(){

    window.fbAsyncInit = function() {
      FB.init({
        appId      : settings.facebookAppId,
        status     : true,
        cookie     : true,
        xfbml      : true,
        version    : 'v2.0'
      });

      FB.Event.subscribe('auth.authResponseChange', function(response) {
        if (response.status === 'connected') {
          testAPI();
        } else if (response.status === 'not_authorized') {
          FB.login({scope: 'email,user_birthday,user_friends'});
        } else {
          FB.login({scope: 'email,user_birthday,user_friends'});
        }
      });
    };

    // Load the SDK asynchronously
    (function(d){
     var js, id = 'facebook-jssdk', ref = d.getElementsByTagName('script')[0];
     if (d.getElementById(id)) {return;}
     js = d.createElement('script'); js.id = id; js.async = true;
     js.src = "//connect.facebook.net/en_US/sdk.js";
     ref.parentNode.insertBefore(js, ref);
    }(document));

    // Here we run a very simple test of the Graph API after login is successful.
    // This testAPI() function is only called in those cases.
    function testAPI() {
      console.log('Welcome!  Fetching your information.... ');
      FB.api('/me', function(response) {
        console.log('Good to see you, ' + response.name + '.');
      }, {scope: 'email,user_birthday,user_friends'});
    }
  }



})(window);